package com.yd.csf.service.service;

import com.yd.csf.service.dto.AgentReferralRelationDto;
import com.yd.csf.service.model.AgentReferralRelation;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 推荐关系表 服务类
 * </p>
 *
 * @author zxm
 * @since 2025-10-15
 */
public interface IAgentReferralRelationService extends IService<AgentReferralRelation> {

    List<AgentReferralRelation> queryList(AgentReferralRelationDto dto);

    Boolean del(String agentId,String referrerId);

    Boolean del(List<String> agentIdList, String referrerId);
}
